<?php
/**
* Footer Settings.
*
* @package Modern Art Gallery
*/

$modern_art_gallery_default = modern_art_gallery_get_default_theme_options();

$wp_customize->add_section( 'modern_art_gallery_footer_widget_area',
	array(
	'title'      => esc_html__( 'Footer Settings', 'modern-art-gallery' ),
	'priority'   => 200,
	'capability' => 'edit_theme_options',
	'panel'      => 'modern_art_gallery_theme_option_panel',
	)
);

$wp_customize->add_setting('modern_art_gallery_display_footer',
    array(
        'default' => $modern_art_gallery_default['modern_art_gallery_display_footer'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'modern_art_gallery_sanitize_checkbox',
    )
    );
    $wp_customize->add_control('modern_art_gallery_display_footer',
        array(
            'label' => esc_html__('Enable Footer', 'modern-art-gallery'),
            'section' => 'modern_art_gallery_footer_widget_area',
            'type' => 'checkbox',
        )
    );

$wp_customize->add_setting( 'modern_art_gallery_footer_column_layout',
	array(
	'default'           => $modern_art_gallery_default['modern_art_gallery_footer_column_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'modern_art_gallery_sanitize_select',
	)
);
$wp_customize->add_control( 'modern_art_gallery_footer_column_layout',
	array(
	'label'       => esc_html__( 'Top Footer Column Layout', 'modern-art-gallery' ),
	'section'     => 'modern_art_gallery_footer_widget_area',
	'type'        => 'select',
	'choices'               => array(
		'1' => esc_html__( 'One Column', 'modern-art-gallery' ),
		'2' => esc_html__( 'Two Column', 'modern-art-gallery' ),
		'3' => esc_html__( 'Three Column', 'modern-art-gallery' ),
	    ),
	)
);

$wp_customize->add_setting( 'modern_art_gallery_footer_widget_title_alignment',
        array(
        'default'           => $modern_art_gallery_default['modern_art_gallery_footer_widget_title_alignment'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'modern_art_gallery_sanitize_footer_widget_title_alignment',
        )
    );
    $wp_customize->add_control( 'modern_art_gallery_footer_widget_title_alignment',
        array(
        'label'       => esc_html__( 'Footer Widget Title Alignment', 'modern-art-gallery' ),
        'section'     => 'modern_art_gallery_footer_widget_area',
        'type'        => 'select',
        'choices'     => array(
            'left' => esc_html__( 'Left', 'modern-art-gallery' ),
            'center'  => esc_html__( 'Center', 'modern-art-gallery' ),
            'right'    => esc_html__( 'Right', 'modern-art-gallery' ),
            ),
        )
    );

$wp_customize->add_setting( 'modern_art_gallery_footer_copyright_text',
	array(
	'default'           => $modern_art_gallery_default['modern_art_gallery_footer_copyright_text'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'modern_art_gallery_footer_copyright_text',
	array(
	'label'    => esc_html__( 'Footer Copyright Text', 'modern-art-gallery' ),
	'section'  => 'modern_art_gallery_footer_widget_area',
	'type'     => 'text',
	)
);

$wp_customize->add_setting('modern_art_gallery_copyright_font_size',
    array(
        'default'           => $modern_art_gallery_default['modern_art_gallery_copyright_font_size'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'modern_art_gallery_sanitize_number_range',
    )
);
$wp_customize->add_control('modern_art_gallery_copyright_font_size',
    array(
        'label'       => esc_html__('Copyright Font Size', 'modern-art-gallery'),
        'section'     => 'modern_art_gallery_footer_widget_area',
        'type'        => 'number',
        'input_attrs' => array(
           'min'   => 5,
           'max'   => 30,
           'step'   => 1,
    	),
    )
);


$wp_customize->add_setting( 'modern_art_gallery_footer_widget_background_color', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_hex_color'
));
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'modern_art_gallery_footer_widget_background_color', array(
    'label'     => __('Footer Widget Background Color', 'modern-art-gallery'),
    'description' => __('It will change the complete footer widget background color.', 'modern-art-gallery'),
    'section' => 'modern_art_gallery_footer_widget_area',
    'settings' => 'modern_art_gallery_footer_widget_background_color',
)));

$wp_customize->add_setting('modern_art_gallery_footer_widget_background_image',array(
    'default'   => '',
    'sanitize_callback' => 'esc_url_raw',
));
$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'modern_art_gallery_footer_widget_background_image',array(
    'label' => __('Footer Widget Background Image','modern-art-gallery'),
    'section' => 'modern_art_gallery_footer_widget_area'
)));

$wp_customize->add_setting('modern_art_gallery_enable_to_the_top',
    array(
        'default' => $modern_art_gallery_default['modern_art_gallery_enable_to_the_top'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'modern_art_gallery_sanitize_checkbox',
    )
);
$wp_customize->add_control('modern_art_gallery_enable_to_the_top',
    array(
        'label' => esc_html__('Enable To The Top', 'modern-art-gallery'),
        'section' => 'modern_art_gallery_footer_widget_area',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'modern_art_gallery_to_the_top_text',
    array(
    'default'           => $modern_art_gallery_default['modern_art_gallery_to_the_top_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'modern_art_gallery_to_the_top_text',
    array(
    'label'    => esc_html__( 'To The Top Text', 'modern-art-gallery' ),
    'section'  => 'modern_art_gallery_footer_widget_area',
    'type'     => 'text',
    )
);